
%define tarname qspice-client
%define tarversion 0.3.0

%define patchid 4
Name:           qspice-client
Version:        0.3.0
Release:        %{patchid}%{?dist}
Summary:        Implements the client side of the SPICE protocol
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.spice-space.org/
Source0:        %{tarname}-%{tarversion}.tar.bz2
patch1:         qspice-client-0.3.0-1-logger-ini-help-msg.patch
patch2:         qspice-client-0.3.0-2-fixed-help-windows-crash.patch
patch3:         qspice-client-0.3.0-3-fix-unsafe-guest-data-accessing.patch
patch4:         qspice-client-0.3.0-socket.patch

BuildRoot:      %{_tmppath}/%{tarname}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  alsa-lib-devel
BuildRequires:  libpng-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXext-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  log4cpp-devel
BuildRequires:  openssl-devel
BuildRequires:  celt051-devel
BuildRequires:  qcairo-devel
BuildRequires:  qffmpeg-devel
BuildRequires:  boost-devel
BuildRequires:  libtool
Conflicts:      spice-xpi < 2.2-2.3

%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package provides the client side of the SPICE protocol

%prep
%setup -q -n %{tarname}-%{tarversion}
%patch1 -p 1 -b .logger-ini-help-msg
%patch2 -p 1 -b .fixed-help-windows-crash
%patch3 -p 1 -b .fix-unsafe-guest-data-accessing
%patch4 -p 1 -b .socket

%build
CFLAGS="%{optflags}"; CFLAGS="${CFLAGS/-Wall/}"; export CFLAGS;
CXXFLAGS="%{optflags}"; CXXFLAGS="${CXXFLAGS/-Wall/}"; export CXXFLAGS;
FFLAGS="%{optflags}"; FFLAGS="${FFLAGS/-Wall/}"; export FFLAGS;
#./autogen.sh
%configure

# remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc COPYING README
%{_libexecdir}/spicec

%changelog
* Thu Aug 5 2010 Martin Stransky <stransky@redhat.com> - 0.3.0-4.el5_5
- added conflicts with incompatible spice-xpi version

* Tue Aug 2 2010 Martin Stransky <stransky@redhat.com> - 0.3.0-3.el5_5
- added fix for rhbz#619069

* Thu Jul 29 2010 Uri Lublin <uril@redhat.com> - 0.3.0-2_el5_5.1
 - spice: fix unsafe guest data accessing
Resolves: #568719

* Tue Feb 23 2009 Uri Lublin <uril@redhat.com> - 0.3.0-2
 - spice: client: fixed --help windows crash and redirected stdout to console
Resolves: #565817

* Thu Feb 18 2009 Uri Lublin <uril@redhat.com> - 0.3.0-1
 - spice: client: A better description for '--logger-ini' in help message
Related: #555370

* Sun Jan  3 2009 Uri Lublin <uril@redhat.com> - 0.3.0-0
 - first spec for 0.3.0
